<?php 

/*
** SellaNMS
** $Id: topology.php,v 1.13 2005/03/31 18:57:12 sella Exp $
** Copyright (c) 2001 Digital Genesis Software, LLC. All Rights Reserved.
** Released under the GPL Version 2 License.
** http://www.digitalgenesis.com
*/

class Topology extends Module {
	function Topology() {
		$this->cache_ext = 'php';
	}

	function shouldUpdate() {
		global $config;

		$db = mysql_connect($config['databaseServer'], $config['databaseUsername'], $config['databasePassword']);
		mysql_select_db($config['databaseName'], $db);

		return false;
	}

	function getContent($tabs) {
		return join('', file('modules/topology/templates/topology_template.php'));
	}
}

/*
** Local Variables:
** c-basic-offset: 3
** tab-width: 3
** End:
** vim600: fdm=marker
** vim: noet ts=3 sw=3
*/

?>
